DEV: prettier 2.2.1 (#101)

DEV: prettier 2.2.1 (#101)

diff --git a/assets/javascripts/discourse/components/google-dfp-ad.js.es6 b/assets/javascripts/discourse/components/google-dfp-ad.js.es6
index 2cbceb4..7fb27d4 100755
--- a/assets/javascripts/discourse/components/google-dfp-ad.js.es6
+++ b/assets/javascripts/discourse/components/google-dfp-ad.js.es6
@@ -13,12 +13,12 @@ function getNextSlotNum() {
 }
 
 function splitWidthInt(value) {
-  var str = value.substring(0, 3);
+  let str = value.substring(0, 3);
   return str.trim();
 }
 
 function splitHeightInt(value) {
-  var str = value.substring(4, 7);
+  let str = value.substring(4, 7);
   return str.trim();
 }
 
@@ -40,7 +40,7 @@ function keyParse(word) {
 
 // This should call adslot.setTargeting(key for that location, value for that location)
 function custom_targeting(key_array, value_array, adSlot) {
-  for (var i = 0; i < key_array.length; i++) {
+  for (let i = 0; i < key_array.length; i++) {
     if (key_array[i]) {
       adSlot.setTargeting(key_array[i], valueParse(value_array[i]));
     }
@@ -208,7 +208,7 @@ function loadGoogle() {
   }
 
   // The boilerplate code
-  var dfpSrc =
+  let dfpSrc =
     ("https:" === document.location.protocol ? "https:" : "http:") +
     "//securepubads.g.doubleclick.net/tag/js/gpt.js";
   _promise = loadScript(dfpSrc, { scriptTag: true }).then(function () {
diff --git a/package.json b/package.json
index f5b7b1d..b46957e 100644
--- a/package.json
+++ b/package.json
@@ -5,6 +5,6 @@
   "author": "Discourse",
   "license": "MIT",
   "devDependencies": {
-    "eslint-config-discourse": "latest"
+    "eslint-config-discourse": "^1.1.8"
   }
 }
diff --git a/yarn.lock b/yarn.lock
index 451df9f..a2b346b 100644
--- a/yarn.lock
+++ b/yarn.lock
@@ -498,10 +498,10 @@ escape-string-regexp@^1.0.5:
   resolved "https://registry.yarnpkg.com/escape-string-regexp/-/escape-string-regexp-1.0.5.tgz#1b61c0562190a8dff6ae3bb2cf0200ca130b86d4"
   integrity sha1-G2HAViGQqN/2rjuyzwIAyhMLhtQ=
 
-eslint-config-discourse@latest:
-  version "1.1.3"
-  resolved "https://registry.yarnpkg.com/eslint-config-discourse/-/eslint-config-discourse-1.1.3.tgz#38b85e810cad72280073d659565bf25611331ac3"
-  integrity sha512-n6ZRuFPMVn+jHpszZhNQwFRsIG1mRq5LrFdbN/WNDW7ohk+iyYyLkwB8btJFms5CcfHLsiiey92EAh3oNavrpw==
+eslint-config-discourse@^1.1.8:
+  version "1.1.8"
+  resolved "https://registry.yarnpkg.com/eslint-config-discourse/-/eslint-config-discourse-1.1.8.tgz#c297831876811ea08203aa348d1ba2a963b2ae78"
+  integrity sha512-ZSQfhliiO5Cfa7WcKoMkN4wW/1rBJpecpMJpfjiFsElfgPj4EV4Pzksi5CvFnRbJDoZh6DYYrQfO+tW062VOUA==
   dependencies:
     babel-eslint "^10.1.0"
     ember-template-lint "^2.11.0"
@@ -511,7 +511,7 @@ eslint-config-discourse@latest:
     eslint-plugin-ember "^6.10.0"
     eslint-plugin-lodash "^7.1.0"
     eslint-plugin-node "^8.0.0"
-    prettier "^2.1.1"
+    prettier "2.2.1"
 
 eslint-plugin-discourse-ember@latest:
   version "0.0.3"
@@ -1209,10 +1209,10 @@ prelude-ls@~1.1.2:
   resolved "https://registry.yarnpkg.com/prelude-ls/-/prelude-ls-1.1.2.tgz#21932a549f5e52ffd9a827f570e04be62a97da54"
   integrity sha1-IZMqVJ9eUv/ZqCf1cOBL5iqX2lQ=
 
-prettier@^2.1.1:
-  version "2.1.1"
-  resolved "https://registry.yarnpkg.com/prettier/-/prettier-2.1.1.tgz#d9485dd5e499daa6cb547023b87a6cf51bee37d6"
-  integrity sha512-9bY+5ZWCfqj3ghYBLxApy2zf6m+NJo5GzmLTpr9FsApsfjriNnS2dahWReHMi7qNPhhHl9SYHJs2cHZLgexNIw==
+prettier@2.2.1:
+  version "2.2.1"
+  resolved "https://registry.yarnpkg.com/prettier/-/prettier-2.2.1.tgz#795a1a78dd52f073da0cd42b21f9c91381923ff5"
+  integrity sha512-PqyhM2yCjg/oKkFPtTGUojv7gnZAoG80ttl45O6x2Ug/rMJw4wcc9k6aaf2hibP7BGVCCM33gZoGjyvt9mm16Q==
 
 progress@^2.0.0:
   version "2.0.3"

GitHub sha: 6438000e

This commit appears in #101 which was merged by jjaffeux.